> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprofile-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

> Creates or updates a profile in the GetProfile API by its ID



## OpenAPI

````yaml POST /v1/profile/{id}
openapi: 3.1.0
info:
  title: GetProfile API
  description: >-
    GetProfile API is a profiling service powered by AI. It allows users to
    submit their data and receive a profile based on that data. The API provides
    endpoints for creating, retrieving, and deleting profiles.
  termsOfService: https://getprofile-ai.com/terms
  version: 1.0.0
servers:
  - url: https://api.getprofile-ai.com
security:
  - bearerAuth: []
paths:
  /v1/profile/{id}:
    post:
      description: Creates a new or updates an existing profile by id
      parameters:
        - name: id
          in: path
          description: The unique identifier of the profile
          required: true
          schema:
            type: string
      requestBody:
        description: Data to extract a profile from
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileUpdateRequest'
        required: true
      responses:
        '200':
          description: Successfully accepted the data for processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileUpdateResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ProfileUpdateRequest:
      required:
        - data
      type: object
      properties:
        data:
          description: >-
            Data to extract a profile from. Can be plain text, JSON, markdown or
            any other format.
          type: string
        input_type:
          description: >-
            Type of the input data, e.g. `chat history`, `character
            description`, `activity log`, etc.
          type: string
    ProfileUpdateResponse:
      required:
        - id
        - message
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the profile
        message:
          description: Acceptance message
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````